Realizar pago
curl --request POST \
--url https://api.onepay.la/v1/utilities \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-idempotency: <x-idempotency>' \
--data '
{
"provider_id": "<string>",
"reference": "<string>",
"external_id": "<string>"
}
'import requests
url = "https://api.onepay.la/v1/utilities"
payload = {
"provider_id": "<string>",
"reference": "<string>",
"external_id": "<string>"
}
headers = {
"x-idempotency": "<x-idempotency>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-idempotency': '<x-idempotency>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({provider_id: '<string>', reference: '<string>', external_id: '<string>'})
};
fetch('https://api.onepay.la/v1/utilities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "9d1cd37a-a6bc-472d-b4e6-c913769d005a",
"group_id": "Kirlin Group, 2381762387",
"provider_id": "9d1cd37a-94e5-4cf1-aa7c-daac8ebf4ed9",
"provider_name": "Kirlin Group",
"amount": 250000,
"reference": "2381762387",
"external_id": "FACT-2026-00123",
"status": "pending",
"remarks": null
}
Realizar pago
Realiza un pago a un convenio.
POST
utilities
Realizar pago
Headers
string
required
Token único para garantizar la idempotencia de la petición
Body
string
required
UUID del convenio listado previamente que se desea pagar.
string
required
Referencia de pago para el convenio. de ejemplo puedes usar 111100005555
string
Tu propio identificador para el pago (máximo 255 caracteres). Se devuelve en la respuesta y al
consultar el pago, para que puedas conciliarlo con tu sistema.
{
"id": "9d1cd37a-a6bc-472d-b4e6-c913769d005a",
"group_id": "Kirlin Group, 2381762387",
"provider_id": "9d1cd37a-94e5-4cf1-aa7c-daac8ebf4ed9",
"provider_name": "Kirlin Group",
"amount": 250000,
"reference": "2381762387",
"external_id": "FACT-2026-00123",
"status": "pending",
"remarks": null
}
Was this page helpful?
⌘I